Page MenuHomePhabricator

Document on-wiki the Architecture RfC meetings from July onwards
Closed, ResolvedPublic

Description

On Tue, Nov 4, 2014 at 9:30 PM, @Quiddity wrote:

I was looking at https://www.mediawiki.org/wiki/Architecture_meetings
and see there are a bunch missing from July onwards. I'm guessing this is falling through the cracks, now that Sumana has left, and because you're busy with the much higher priority Phab-migration.
I was going to add the missing items, but I wasn't sure if there was an easy workflow/process to follow?
I took a stab at writing some, at https://www.mediawiki.org/wiki/Architecture_meetings#Update_instructions
Please could you add/fix that up, as needed? Then I can more quickly/easily fill in the previous months.
Thanks :)
(or fwd as needed, if this is someone else's responsibility!)

Created a task instead. :)

Event Timeline

Qgil created this task.Nov 5 2014, 3:56 PM
Qgil raised the priority of this task from to Needs Triage.
Qgil updated the task description. (Show Details)
Qgil added a project: Architecture.
Qgil changed Security from none to None.
Qgil added subscribers: Qgil, Quiddity, tstarling.

@Quiddity, after Sumana left I was responsible of the facilitation until the (vague) point of time when the Architecture Committee took the responsibility, as it should.

If you can add the missing details until today, that would be great. I think it would be useful that the architects would appoint someone (among themselves, or not, but someone) to do this work after each meeting.

For what is worth, I'm also asking them to keep TechCom-RFC up to date, as agreed recently in one of their meetings.

Maybe things could be organized in a better way...?

Spage triaged this task as Medium priority.May 27 2015, 8:13 PM
Spage edited projects, added TechCom; removed Architecture.

I wrote an auto-linkifying script; with it I started plowing through the backlog of https://www.mediawiki.org/wiki/Architecture_committee#Meetings.

The architecture RFC meetings on IRC are usually captured by meetbot and in comments on an RFC in Phabricator we link to meetbot's logs (see for example T105652#1492991). It would be nice to continue to generate an independent TOC of all RFC meetings in Architecture meetings, but is it worth the effort?

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 31 2015, 3:01 AM

In general, we have an issue where notes and discussion about an RFC topic often don't get associated/attached to the RFC itself, whether in Phabricator or on mediawiki.org.

RobLa-WMF closed this task as Resolved.Mar 17 2016, 9:52 PM
RobLa-WMF claimed this task.
RobLa-WMF added a subscriber: RobLa-WMF.

This is largely resolved at this point; minutes are generally findable in Phab, and most active RFCs on MediaWiki link back to Phab.